aboutsummaryrefslogtreecommitdiff
path: root/docker/studip/docker-entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docker/studip/docker-entrypoint.sh')
-rw-r--r--docker/studip/docker-entrypoint.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/docker/studip/docker-entrypoint.sh b/docker/studip/docker-entrypoint.sh
index bafc2fe..e7bb00f 100644
--- a/docker/studip/docker-entrypoint.sh
+++ b/docker/studip/docker-entrypoint.sh
@@ -28,17 +28,14 @@ done
sh $STUDIP/.gitlab/scripts/install_db.sh
-if [ ! -z $AUTO_MIGRATE ]; then
- echo "Migrate Instance"
- # If migrate fails start instance anyway
- php "$STUDIP/cli/studip migrate" || true
- echo "Migration finished"
-fi
+echo "Migrate Instance"
+# If migrate fails start instance anyway
+php "$STUDIP/cli/studip migrate" || true
+echo "Migration finished"
# first arg is `-f` or `--some-option`
if [ "${1#-}" != "$1" ]; then
- set -- apache2-foreground "$@"
+ set -- apache2-foreground "$@"
fi
exec "$@"
-